- name: "Set hibernation target as a GRUB kernel parameter"
  become: yes
  ansible.builtin.lineinfile:
    path: "{{ grub_path }}"
    backrefs: yes
    regexp: '^(GRUB_CMDLINE_LINUX_DEFAULT=(?!.*resume=)\"[^\"]+)(\".*)'
    line: '\1 resume={{ swap_path }}\2'
    backup: yes

- name: "Update GRUB"
  become: yes
  ansible.builtin.shell: "update-grub"
  changed_when: false

- name: "Enable hibernation via .pkla"
  become: yes
  ansible.builtin.copy:
    src: ./files/com.ubuntu.enable-hibernate.pkla
    dest: /etc/polkit-1/localauthority/50-local.d/
    mode: "755"

- name: "Reduce swappiness to 0 to mitigate OOM risks"
  become: yes
  ansible.posix.sysctl:
    name: vm.swappiness
    value: '0'